Bug 246196 - No library symlinks for most tog-pegasus libraries
No library symlinks for most tog-pegasus libraries
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 02:01 EDT by Tim Potter
Modified: 2009-05-01 16:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 06:25:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Potter 2007-06-29 02:01:19 EDT
Description of problem:

I'm trying to build CIMPLE (http://www.cimple.org/) against the tog-pegasus
package and it's failing because there are some library symlinks missing against
the libraries installed in /usr/lib.

/usr/lib/libCertificateProvider.so.1
/usr/lib/libConfigSettingProvider.so.1
/usr/lib/libNamespaceProvider.so.1
/usr/lib/libProviderRegistrationProvider.so.1
/usr/lib/libUserAuthProvider.so.1
/usr/lib/libcmpiCppImpl.so.1
/usr/lib/libpegauthentication.so.1
/usr/lib/libpegcliutils.so.1
/usr/lib/libpegcompiler.so.1
/usr/lib/libpegconfig.so.1
/usr/lib/libpegcql.so.1
/usr/lib/libpegexportclient.so.1
/usr/lib/libpegexportserver.so.1
/usr/lib/libpeggetoopt.so.1
/usr/lib/libpeghandlerservice.so.1
/usr/lib/libpegindicationservice.so.1
/usr/lib/libpeglistener.so.1
/usr/lib/libpegprm.so.1
/usr/lib/libpegprovider.so
/usr/lib/libpegprovider.so.1
/usr/lib/libpegprovidermanager.so.1
/usr/lib/libpegquerycommon.so.1
/usr/lib/libpegqueryexpression.so.1
/usr/lib/libpegrepository.so.1
/usr/lib/libpegserver.so.1
/usr/lib/libpegservice.so.1
/usr/lib/libpeguser.so.1
/usr/lib/libpegwql.so.1

There are symlinks for these guys:

/usr/lib/libCIMQueryCapabilitiesProvider.so.1
/usr/lib/libCIMxmlIndicationHandler.so
/usr/lib/libCIMxmlIndicationHandler.so.1
/usr/lib/libCMPIProviderManager.so
/usr/lib/libCMPIProviderManager.so.1
/usr/lib/libDefaultProviderManager.so
/usr/lib/libDefaultProviderManager.so.1
/usr/lib/libpegclient.so
/usr/lib/libpegclient.so.1
/usr/lib/libpegcommon.so
/usr/lib/libpegcommon.so.1

There doesn't seem to be any obvious reason why some of the pegasus libraries
have links and some don't.  Some of the libraries are useful to link against
when building WBEM client applications (e.g libpegclient) and others I can't see
being used outside of Pegasus at all (e.g libDefaultProviderManager).

Is there some policy about library symlinks that can be applied here?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vitezslav Crhonek 2008-11-06 06:46:57 EST
No, there is no policy I'm aware of. Actual set of symlinks (taken from state before I started to maintain pegasus in RH) grows when somebody explicitly requests it.

Just tell me what symlinks do you need to add. Or do you think it will be useful to have symlinks for all libraries?
Comment 3 Vitezslav Crhonek 2009-03-10 10:11:35 EDT
Tim, please let us know, which libraries is useful to have symlinked?
Comment 5 RHEL Product and Program Management 2009-04-21 06:25:22 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.